SET - Setups
  1. SET - Setups
  2. SET-148

Setup should remove older Jetty release if newer release is used

    Details

    • Type: Feature Feature
    • Status: Released (View Workflow)
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 1.12.6
    • Labels:
      None

      Description

      Current Situation
      The Setup of the JOC Cockpit is already updated to install the latest Jetty Version 9.4.12.v20180830 due to security vulnerability.

      When installing a JOC Cockpit over a previous installation old libraries of Jetty 9.3.x are not removed and results in duplicated libraries with different versions present in the file system. This behavior only occurs in 1.12.5. In the JOC 2.0-SNAPSHOT old Jetty libraries are removed correctly.

      Desired Behavior
      After installing JOC Cockpit over a previous installation no duplicated libraries should be present.

      Workaround
      Delete JOC_HOME/jetty folder manually before startig the installer

      Maintainer Note
      The Jetty Version 9.4.12.v20180830 has a new module for logging (console-capture) which is not compatible with the previous module logging.

        Issue Links

          Activity

          There are no comments yet on this issue.

            People

            • Assignee:
              Oliver Haufe
              Reporter:
              Santiago Aucejo Petzoldt
              Approver:
              Santiago Aucejo Petzoldt
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: